Kea: isc::eval::EvalParser::context Class Reference

| Kea 3.2.0-git

isc::eval::EvalParser::context Class Reference

`#include <parser.h>`

## Public Member Functions
| context (const EvalParser &yyparser, const symbol_type &yyla)
int | expected_tokens (symbol_kind_type yyarg[], int yyargn) const
| Put in YYARG at most YYARGN of the expected tokens, and return the number of tokens stored in YYARG.
const location_type & | location () const YY_NOEXCEPT
const symbol_type & | lookahead () const YY_NOEXCEPT
symbol_kind_type | token () const YY_NOEXCEPT

## Detailed Description

Definition at line 2194 of file parser.h.

## Constructor & Destructor Documentation

## ◆ context()

isc::eval::EvalParser::context::context | ( | const EvalParser & | yyparser,
|  | const symbol_type & | yyla )

Definition at line 1933 of file parser.cc.

References isc::eval::EvalParser::EvalParser().

Here is the call graph for this function:

## Member Function Documentation

## ◆ expected_tokens()

int isc::eval::EvalParser::context::expected_tokens | ( | symbol_kind_type | yyarg[],
|  | int | yyargn ) const

Put in YYARG at most YYARGN of the expected tokens, and return the number of tokens stored in YYARG.

If YYARG is null, return the number of expected tokens (guaranteed to be less than YYNTOKENS).

Definition at line 1939 of file parser.cc.

References isc::eval::EvalParser::symbol_kind::S_YYEMPTY, isc::eval::EvalParser::symbol_kind::S_YYerror, YY_CAST, and isc::eval::EvalParser::YYNTOKENS.

## ◆ location()

const location_type & isc::eval::EvalParser::context::location | ( |  | ) | const
| inline

Definition at line 2200 of file parser.h.

References YY_NOEXCEPT.

## ◆ lookahead()

const symbol_type & isc::eval::EvalParser::context::lookahead | ( |  | ) | const
| inline

Definition at line 2198 of file parser.h.

References YY_NOEXCEPT.

## ◆ token()

symbol_kind_type isc::eval::EvalParser::context::token | ( |  | ) | const
| inline

Definition at line 2199 of file parser.h.

References YY_NOEXCEPT.

The documentation for this class was generated from the following files:

- parser.h
- parser.cc